# The "hi" Package

These routines are meant to provide which a mechanism for saving and restoring history (parameter) information.

Library: karma
Link With: -lkarma

#### Functions

hi_read | Read history information for a module.
hi_write | Write history information for a module.

## Functions

void hi_read (CONST char *module_name, flag (*command_decode) (CONST char *command, FILE *fp) )

This routine will read any available history information for a module and process accordingly.

Parameters:

- module_name : The name of the module.
- command_decode : The function used to decode history lines.

Returns: Nothing.
Multithreading Level: Unsafe

void hi_write (CONST char *module_name, flag (*command_decode) (CONST char *command, FILE *fp) )

This routine will write history information for the module in the current working directory.

Parameters:

- module_name : The name of the module.
- command_decode : The function used to decode history lines.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page